Individuals

Create An Email Address For An Individual

POSThttps://api.getcovent.com/api/v1/individuals/{id}/emails

Create an email address for an individual.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/individuals/{id}/emails" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "jordan@example.com",
  "label": "work",
  "is_primary": true
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

idstringRequired

id path parameter.

Example: <id>

emailstringRequired

email request field.

Example: jordan@example.com
labelstringRequired

label request field.

Example: work
is_primarybooleanRequired

is_primary request field.

Example: true

Response

200application/json

idstringRequired

id response field.

Example: email_123
emailstringRequired

email response field.

Example: jordan@example.com
labelstringRequired

label response field.

Example: work
is_primarybooleanRequired

is_primary response field.

Example: true

Response Example

{
  "id": "email_123",
  "email": "jordan@example.com",
  "label": "work",
  "is_primary": true
}